6.0.0-git
2021-01-24

[#2886] eGroupware compatible xmlrpc interface
Summary eGroupware compatible xmlrpc interface
Queue Horde Framework Packages
Queue Version FRAMEWORK_3
Type Enhancement
State Resolved
Priority 2. Medium
Owners Horde Developers (at)
Requester mi.braun (at) onlinehome (dot) de
Created 2005-10-30 (5565 days ago)
Due
Updated 2006-01-08 (5495 days ago)
Assigned
Resolved 2006-01-08 (5495 days ago)
Milestone
Patch No

History
2006-01-08 01:08:36 Chuck Hagenbuch Comment #6
State ⇒ Resolved
Reply to this comment
I've committed your driver and your Registry method call handling 
changes to HEAD, and put the phpgw compat layer app up on the Horde 
wiki here:



http://wiki.horde.org/PhpgwHowTo



Please flesh out that page, feel free to upload new versions of the 
app, etc. Thanks!
2005-10-31 09:13:00 Jan Schneider Comment #5
Assigned to Horde DevelopersHorde Developers
State ⇒ Accepted
Reply to this comment
I don't know if you patch is really against FRAMEWORK_3, as you 
specified, but it should be against HEAD in any case.
2005-10-30 23:11:20 Chuck Hagenbuch Deleted Original Message
 
2005-10-30 23:11:15 Chuck Hagenbuch Deleted Original Message
 
2005-10-30 23:11:05 Chuck Hagenbuch Deleted Original Message
 
2005-10-30 20:11:10 mi (dot) braun (at) onlinehome (dot) de Comment #4
New Attachment: patch-phpgw-0.3.tgz Download
Reply to this comment
I just remembered that documentation tags are nice.
2005-10-30 19:56:45 mi (dot) braun (at) onlinehome (dot) de Comment #3
New Attachment: patch-phpgw-0.2b.tgz
Reply to this comment
sry, but there was a (stupid) call slowing down adapter.
2005-10-30 19:47:01 mi (dot) braun (at) onlinehome (dot) de Comment #2
New Attachment: patch-phpgw[1].tgz
Reply to this comment
I added write support and fix specification violation that event id's 
need to be int.
2005-10-30 16:28:16 mi (dot) braun (at) onlinehome (dot) de Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 2. Medium
Summary ⇒ eGroupware compatible xmlrpc interface
Queue ⇒ Horde Framework Packages
New Attachment: patch-phpgw.tgz
Reply to this comment
I'm using kronolith - the calendar application and would like to have 
events avaliable in locally running clients like korganzier. As xmlrpc 
is already implemented into horde, i thought about adding a phpgw <=> 
kronolith adapter module allowing to use the existing kdepim plugin 
for eGroupware.



This requires minor changes to framework package, which don't break 
compatibility.

a) Registry.php

    Usually a services get's named "application/service". The phpgw 
api requires "application/ser/vi/ce", so the explode command get's 
enhances by a third parameter limiting splitting into two parts: 
application and service.

b) RPC/phpgw.php

    This is taken from xmlrpc.php overriden authentication in order to 
support system.login

    and session id transmission.



The horde module:

a) rpc.php gets enhanced so that rpc.php?phpgw loads RPC/phpgw.php and 
not RPC/xmlrpc.php

b) phpgw get's added to config/registry.php.dist .



The phpgw/lib/api.php contains takes the important adapter code.

It maps the calendar.bocalendar.* to almost equivalent kronolith 
functionality. So could be done with turba and nag. Currently there is 
only readonly access to default calendar.



sincerly,

  mbraun

Saved Queries